%define tilp_version 1.17
%define _udevdir /lib/udev/rules.d

Name:           libticables2
Version:        1.3.4
Release:        0%{?dist}
Summary:        Texas Instruments link cables library

Group:          Development/Libraries
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        http://sourceforge.net/projects/tilp/files/tilp2-linux/tilp2-%{tilp_version}/%{name}-%{version}.tar.bz2
Source1:        http://venus.arosser.com/fedora/tilp/69-libticables.rules

BuildRequires:  glib2-devel, pkgconfig, libusb1-devel, tfdocgen

%package devel

Group:          Development/Libraries
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description
The ticables library is able to handle the different link cables
designed for Texas Instruments's graphing calculators (also called
handhelds) in a fairly transparent fashion. With this library, the
developer does not have to worry about the different link cables'
characteristics as well as the different platforms. The library
provides a complete API which is very easy to use and makes things
easier.

%description devel
Include files and libraries required for developing applications
that make use of libticables.

%prep
%setup -q

%build
%configure --enable-libusb10 --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/libticables2.la
cd docs
make install DESTDIR=%{buildroot}

#Add in the udev rules
mkdir -p %{buildroot}/lib/udev/rules.d/
cp %SOURCE1 %{buildroot}%{_udevdir}/69-libticables.rules

%files
%{_udevdir}/69-libticables.rules
%{_libdir}/libticables2.so.*

%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/libticables2.mo

%doc %{_docdir}/libticables2/

%files devel
%{_includedir}/tilp2/export1.h
%{_includedir}/tilp2/stdints1.h
%{_includedir}/tilp2/ticables.h
%{_includedir}/tilp2/timeout.h
%{_libdir}/libticables2.so
%{_libdir}/pkgconfig/ticables2.pc

%post
/sbin/udevadm control --reload-rules
/sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Sat Apr 20 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.4-0
- Updated to latest upstream version of tilp

* Wed Sep 12 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.3-2
- Placed udev rules in correct directory (/lib, not /etc)

* Wed Jul 11 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.3-1
- Added full documentation, built by tfdocgen

* Thu Jul 5 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.3-0
- Updated package to 1.3.3, vastly improved specfile
- Added devel subpackage for all devel files
- Udev rules are now hosted online by me

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.3.2-0
- Initial version of the package

